Bug 238794 - gmp-devel depends on %{version} but not on %{version}-%{release}
Summary: gmp-devel depends on %{version} but not on %{version}-%{release}
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gmp   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-02 22:53 UTC by Robert Scheck
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 15:10:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2007-05-02 22:53:29 UTC
Description of problem:
gmp-devel depends on %{version} but not on %{version}-%{release}, please fix 
this with the next build of the package. There can be minor changes which could 
be incompatible after release bumping, so it's save to add %{release}, too.

Version-Release number of selected component (if applicable):
gmp-4.1.4-12.3

Expected results:
Please apply the following patch or better:

--- snipp ---
--- gmp.spec        2007-05-03 00:51:40.000000000 +0200
+++ gmp.spec.rsc    2007-05-03 00:51:48.000000000 +0200
@@ -44,7 +44,7 @@
 %package devel
 Summary: Development tools for the GNU MP arbitrary precision library
 Group: Development/Libraries
-Requires: %{name} = %{version}
+Requires: %{name} = %{version}-%{release}
 Requires(post): /sbin/install-info
 Requires(preun): /sbin/install-info

--- snapp ---

Comment 1 Ivana Varekova 2007-08-06 15:10:24 UTC
Fixed in gmp-4.2.1-1.fc8, 


Note You need to log in before you can comment on or make changes to this bug.